package com.interplug.qcast.config.Exception;

import java.io.Serial;

public class BaseException extends Exception {

  @Serial private static final long serialVersionUID = 6263785244527827114L;

  private ErrorCode errorCode;

  public BaseException() {
    super();
  }

  public BaseException(String message) {
    super(message);
  }

  public BaseException(ErrorCode errorCode, String message) {
    super(message);
    this.errorCode = errorCode;
  }

  public BaseException(Throwable cause) {
    super(cause);
  }

  public ErrorCode getErrorCode() {
    return errorCode;
  }
}
